package top.ninwoo.edgecenter.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import top.ninwoo.edgecenter.service.ClusterService;
import top.ninwoo.utils.entity.DockerContainer;

import java.util.List;

@RestController
public class IndexController {

    @Autowired
    ClusterService clusterService;

    @RequestMapping("/index")
    public List<DockerContainer> index(int flag) {

        List<DockerContainer> containerIds = clusterService.getContainerIds(flag == 0);
        return containerIds;
    }
}
