package top.ninwoo.utils.util.impl;

import org.springframework.beans.factory.annotation.Autowired;
import top.ninwoo.utils.util.LinuxCtlUtils;
import top.ninwoo.utils.util.OvsDockerUtils;

/**
 * @Author joliu
 * @Description
 * @Date　Create in 下午9:29 2019/10/20
 */
public class OvsDockerUtilsImpl implements OvsDockerUtils {
    @Autowired
    LinuxCtlUtils linuxCtlUtils;

    @Override
    public String addPort(String bridgeName, String devName,String containerId, String ip) {
        String cmd = "ovs-docker add-port " + bridgeName + " " + devName + " " + containerId + " --ipaddress=" + ip;
        String res = linuxCtlUtils.runCmd(cmd);
        if(res.contains("Error")) {
            throw new RuntimeException(res);
        }
        return res;
    }
}
